IM_BENCHMARK(3)

NAME
im_benchmark - do something complicated

SYNOPSIS
#include <vips/vips.h> int im_benchmark( IMAGE *in, IMAGE *out )

DESCRIPTION
im_benchmark(3) performs a complicated operation (based on a real example of VIPS usage) on a LABPACK image. It is useful for benchmarking the VIPS threading system. It should speed up (mostly) linearly with more CPUs.

RETURNED VALUES
The function returns 0 on success and -1 on error.